## staden 2.0.0%2Bb11

=== hetins/Makefile ===
#
# Makefile for hetins
#

PROGS = hetins

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(IOLIB_INC) $(HETINS_INC)


HLIBS=\
	$(MISC_LIB) \
	$(IOLIB_LIB)

OBJSD	= hetins.o


hetins: $(OBJSD)
	$(CXXLD) $(CXXLDFLAGS) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSD) $(HLIBS) $(LIBSC)


distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

DEPEND_OBJ = $(OBJS) $(OBJS) $(OBJSA)

# DO NOT DELETE THIS LINE -- make depend depends on it.
