=== debian/control ===
Source: staden
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libstaden-read-dev,
               itcl3-dev,
               itk3-dev,
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev,
               tcl-dev,
               tk-dev,
               tklib,
               libpng-dev,
               libncurses-dev,
               iwidgets4,
               libcurl4-gnutls-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/staden
Vcs-Git: https://salsa.debian.org/med-team/staden.git
Homepage: https://sourceforge.net/projects/staden/

Package: staden
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         staden-common (= ${source:Version}),
         staden-io-lib-utils,
         tklib
Recommends: med-config
Description: DNA sequence assembly (Gap4/Gap5), editing and analysis tools
 Staden is a fully developed set of DNA sequence assembly (Gap4 and
 Gap5), editing and analysis tools (Spin).
 .
 Gap4 performs sequence assembly, contig ordering based on read pair
 data, contig joining based on sequence comparisons, assembly checking,
 repeat searching, experiment suggestion, read pair analysis and contig
 editing. It has graphical views of contigs, templates, readings and
 traces which all scroll in register. Contig editor searches and
 experiment suggestion routines use confidence values to calculate the
 confidence of the consensus sequence and hence identify only places
 requiring visual trace inspection or extra data. The result is
 extremely rapid finishing and a consensus of known accuracy.
 .
 Pregap4 provides a graphical user interface to set up the processing
 required to prepare trace data for assembly or analysis, and automates
 these processes.
 .
 Trev is a rapid and flexible viewer and editor for ABI, ALF, SCF and
 ZTR trace files.
 .
 Prefinish analyses partially completed sequence assemblies and suggests
 the most efficient set of experiments to help finish the project.
 .
 Tracediff and hetscan automatically locate mutations by comparing trace
 data against reference traces. They annotate the mutations found ready
 for viewing in gap4.
 .
 Spin analyses nucleotide sequences to find genes, restriction sites,
 motifs, etc. It can perform translations, find open reading frames,
 count codons, etc. Many results are presented graphically and a sliding
 sequence window is linked to the graphics cursor. Spin also compares
 pairs of sequences in many ways. It has very rapid dot matrix analysis,
 global and local alignment algorithms, plus a sliding sequence window
 linked to the graphical plots. It can compare nucleic acid against
 nucleic acid, protein against protein, and protein against nucleic
 acid.

Package: staden-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         tk8.6 | wish
Recommends: ksh | zsh
Description: Architecture independent files for Staden
 Staden is a fully developed set of DNA sequence assembly (Gap4 and
 Gap5), editing and analysis tools (Spin).
 .
 Gap4 performs sequence assembly, contig ordering based on read pair
 data, contig joining based on sequence comparisons, assembly checking,
 repeat searching, experiment suggestion, read pair analysis and contig
 editing. It has graphical views of contigs, templates, readings and
 traces which all scroll in register. Contig editor searches and
 experiment suggestion routines use confidence values to calculate the
 confidence of the consensus sequence and hence identify only places
 requiring visual trace inspection or extra data. The result is
 extremely rapid finishing and a consensus of known accuracy.
 .
 Pregap4 provides a graphical user interface to set up the processing
 required to prepare trace data for assembly or analysis, and automates
 these processes.
 .
 Trev is a rapid and flexible viewer and editor for ABI, ALF, SCF and
 ZTR trace files.
 .
 Prefinish analyses partially completed sequence assemblies and suggests
 the most efficient set of experiments to help finish the project.
 .
 Tracediff and hetscan automatically locate mutations by comparing trace
 data against reference traces. They annotate the mutations found ready
 for viewing in gap4.
 .
 Spin analyses nucleotide sequences to find genes, restriction sites,
 motifs, etc. It can perform translations, find open reading frames,
 count codons, etc. Many results are presented graphically and a sliding
 sequence window is linked to the graphics cursor. Spin also compares
 pairs of sequences in many ways. It has very rapid dot matrix analysis,
 global and local alignment algorithms, plus a sliding sequence window
 linked to the graphical plots. It can compare nucleic acid against
 nucleic acid, protein against protein, and protein against nucleic
 acid.
 .
 This package contains the architecture independent data files and
 scripts that come with the Staden package.
